# Method: iceberg.v1.restcatalog.extensions.projects.catalogs.list

- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.extensions.projects.catalogs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.extensions.projects.catalogs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.extensions.projects.catalogs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.extensions.projects.catalogs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.extensions.projects.catalogs/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.extensions.projects.catalogs/list#body.ListIcebergCatalogsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.extensions.projects.catalogs/list#body.aspect)
- [CatalogView](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.extensions.projects.catalogs/list#CatalogView)

Lists the Iceberg REST Catalogs.

### HTTP request

`GET https://biglake.googleapis.com/iceberg/v1/restcatalog/extensions/{parent=projects/*}/catalogs`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this catalog will be created. Format: projects/{projectId} |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.extensions.projects.catalogs/list#CatalogView`)`` Optional. The view of the catalog to return. |
| `page-size` | `integer` Optional. The maximum number of catalogs to return. The service may return fewer than this value. |
| `page-token` | `string` Optional. The page token, received from a previous `catalogs.list` call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

The response message for the `catalogs.list` API.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "iceberg-catalogs": [ { object (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.extensions.projects.catalogs#IcebergCatalog`) } ], "next-page-token": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `iceberg-catalogs[]` | ``object (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.extensions.projects.catalogs#IcebergCatalog`)`` Output only. The list of iceberg catalogs. |
| `next-page-token` | `string` Output only. The next page token for pagination. |
| `unreachable[]` | `string` Output only. The list of unreachable cloud regions. If non-empty, the result set might be incomplete. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## CatalogView

The enumeration of the views that can be returned.

| Enums ||
|---|---|
| `CATALOG_VIEW_UNSPECIFIED` | Default/unset value. Same as BASIC. |
| `CATALOG_VIEW_BASIC` | Include only the name and catalog type. |
| `CATALOG_VIEW_FULL` | Include all fields of the catalog. |